<template>
  <div class="flex flex-col gap-4">
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100"># Svn Tooltip</p>

      <div class="flex gap-4 items-center">
        <svn-tooltip>
          <template #activator-content>
            <svn-icon-button/>
          </template>

          <template #tooltip-content>
            Add module
          </template>
        </svn-tooltip>
      </div>
    </div>

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
    >
      <p class="text-2xl border-black border-b-2 border-opacity-100"># Svn Date Picker</p>

      <div class="flex gap-4 items-center">
        <div class="w-[40%]">
          {{ date }}
          {{ adapter.parseISO(date) }}
          <svn-date-picker v-model="date" />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref } from "vue";
import { useDate } from 'vuetify'
import SvnTooltip from "@/components/SvnTooltip.vue";
import SvnDatePicker from "@/components/SvnDatePicker.vue";
import SvnIconButton from "@/components/button/SvnIconButton.vue";

const adapter = useDate();

const date = ref(("2023-11-30"));
</script>

<style scoped>

</style>